> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browserbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Download

> Get download metadata (Accept: application/json) or file content (Accept: application/octet-stream).



## OpenAPI

````yaml get /v1/downloads/{id}
openapi: 3.0.0
info:
  title: Browserbase API
  description: Browserbase API for 3rd party developers
  version: v1
servers:
  - url: https://api.browserbase.com
    description: Public endpoint
    variables: {}
security:
  - BrowserbaseAuth: []
tags: []
paths:
  /v1/downloads/{id}:
    get:
      summary: Get a Download
      description: >-
        Get download metadata (Accept: application/json) or file content
        (Accept: application/octet-stream).
      operationId: Downloads_get
      parameters:
        - name: id
          in: path
          description: The download ID.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    description: Unique identifier for the download.
                    type: string
                  sessionId:
                    description: The Session ID this download belongs to.
                    type: string
                  filename:
                    description: The filename of the downloaded file.
                    type: string
                  mimeType:
                    description: The MIME type of the file.
                    type: string
                  size:
                    description: File size in bytes.
                    type: number
                  checksum:
                    description: SHA256 checksum of the file.
                    type: string
                  createdAt:
                    description: Timestamp when the file was downloaded.
                    type: string
                    format: date-time
                required:
                  - id
                  - sessionId
                  - filename
                  - mimeType
                  - size
                  - checksum
                  - createdAt
            application/octet-stream:
              schema:
                type: string
                format: binary
components:
  securitySchemes:
    BrowserbaseAuth:
      type: apiKey
      in: header
      name: X-BB-API-Key
      description: Your [Browserbase API Key](https://www.browserbase.com/settings).

````